Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040PatientImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040PatientImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040Patient

    public class POCDMT000040PatientImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040Patient

An implementation of the model object 'POCDMT000040 Patient'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Name`
- `Administrative Gender Code`
- `Birth Time`
- `Marital Status Code`
- `Religious Affiliation Code`
- `Race Code`
- `Ethnic Group Code`
- `Guardian`
- `Birthplace`
- `Language Communication`
- `Class Code`
- `Determiner Code`
- `Null Flavor`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdministrativeGenderCode(CE newAdministrativeGenderCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetBirthplace(POCDMT000040Birthplace newBirthplace, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetBirthTime(TS1 newBirthTime, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEthnicGroupCode(CE newEthnicGroupCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetId(II newId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetMaritalStatusCode(CE newMaritalStatusCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRaceCode(CE newRaceCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetReligiousAffiliationCode(CE newReligiousAffiliationCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`CE` | `getAdministrativeGenderCode()`
`POCDMT000040Birthplace` | `getBirthplace()`
`TS1` | `getBirthTime()`
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()`
`org.eclipse.emf.common.util.Enumerator` | `getDeterminerCode()`
`CE` | `getEthnicGroupCode()`
`org.eclipse.emf.common.util.EList` | `getGuardian()`
`II` | `getId()`
`org.eclipse.emf.common.util.EList` | `getLanguageCommunication()`
`CE` | `getMaritalStatusCode()`
`org.eclipse.emf.common.util.EList` | `getName()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`CE` | `getRaceCode()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`CE` | `getReligiousAffiliationCode()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`boolean` | `isSetClassCode()`
`boolean` | `isSetDeterminerCode()`
`void` | `setAdministrativeGenderCode(CE newAdministrativeGenderCode)`
`void` | `setBirthplace(POCDMT000040Birthplace newBirthplace)`
`void` | `setBirthTime(TS1 newBirthTime)`
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator newClassCode)`
`void` | `setDeterminerCode(org.eclipse.emf.common.util.Enumerator newDeterminerCode)`
`void` | `setEthnicGroupCode(CE newEthnicGroupCode)`
`void` | `setId(II newId)`
`void` | `setMaritalStatusCode(CE newMaritalStatusCode)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setRaceCode(CE newRaceCode)`
`void` | `setReligiousAffiliationCode(CE newReligiousAffiliationCode)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`
`void` | `unsetClassCode()`
`void` | `unsetDeterminerCode()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Patient_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Patient.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Patient_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040Patient`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Patient.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Patient_TemplateId()`

### getId

    public II getId()

  Specified by:
    `getId` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Id' containment reference.
  See Also:
    `POCDMT000040Patient.setId(II)`, `CDAR2Package.getPOCDMT000040Patient_Id()`

### basicSetId

    public org.eclipse.emf.common.notify.NotificationChain basicSetId(II newId,
                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setId

    public void setId(II newId)

  Specified by:
    `setId` in interface `POCDMT000040Patient`
  Parameters:
    `newId` - the new value of the 'Id' containment reference.
  See Also:
    `POCDMT000040Patient.getId()`

### getName

    public org.eclipse.emf.common.util.EList getName()

  Specified by:
    `getName` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Name' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Patient_Name()`

### getAdministrativeGenderCode

    public CE getAdministrativeGenderCode()

  Specified by:
    `getAdministrativeGenderCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Administrative Gender Code' containment reference.
  See Also:
    `POCDMT000040Patient.setAdministrativeGenderCode(CE)`, `CDAR2Package.getPOCDMT000040Patient_AdministrativeGenderCode()`

### basicSetAdministrativeGenderCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdministrativeGenderCode(CE newAdministrativeGenderCode,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdministrativeGenderCode

    public void setAdministrativeGenderCode(CE newAdministrativeGenderCode)

  Specified by:
    `setAdministrativeGenderCode` in interface `POCDMT000040Patient`
  Parameters:
    `newAdministrativeGenderCode` - the new value of the 'Administrative Gender Code' containment reference.
  See Also:
    `POCDMT000040Patient.getAdministrativeGenderCode()`

### getBirthTime

    public TS1 getBirthTime()

  Specified by:
    `getBirthTime` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Birth Time' containment reference.
  See Also:
    `POCDMT000040Patient.setBirthTime(TS1)`, `CDAR2Package.getPOCDMT000040Patient_BirthTime()`

### basicSetBirthTime

    public org.eclipse.emf.common.notify.NotificationChain basicSetBirthTime(TS1 newBirthTime,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setBirthTime

    public void setBirthTime(TS1 newBirthTime)

  Specified by:
    `setBirthTime` in interface `POCDMT000040Patient`
  Parameters:
    `newBirthTime` - the new value of the 'Birth Time' containment reference.
  See Also:
    `POCDMT000040Patient.getBirthTime()`

### getMaritalStatusCode

    public CE getMaritalStatusCode()

  Specified by:
    `getMaritalStatusCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Marital Status Code' containment reference.
  See Also:
    `POCDMT000040Patient.setMaritalStatusCode(CE)`, `CDAR2Package.getPOCDMT000040Patient_MaritalStatusCode()`

### basicSetMaritalStatusCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetMaritalStatusCode(CE newMaritalStatusCode,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setMaritalStatusCode

    public void setMaritalStatusCode(CE newMaritalStatusCode)

  Specified by:
    `setMaritalStatusCode` in interface `POCDMT000040Patient`
  Parameters:
    `newMaritalStatusCode` - the new value of the 'Marital Status Code' containment reference.
  See Also:
    `POCDMT000040Patient.getMaritalStatusCode()`

### getReligiousAffiliationCode

    public CE getReligiousAffiliationCode()

  Specified by:
    `getReligiousAffiliationCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Religious Affiliation Code' containment reference.
  See Also:
    `POCDMT000040Patient.setReligiousAffiliationCode(CE)`, `CDAR2Package.getPOCDMT000040Patient_ReligiousAffiliationCode()`

### basicSetReligiousAffiliationCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetReligiousAffiliationCode(CE newReligiousAffiliationCode,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setReligiousAffiliationCode

    public void setReligiousAffiliationCode(CE newReligiousAffiliationCode)

  Specified by:
    `setReligiousAffiliationCode` in interface `POCDMT000040Patient`
  Parameters:
    `newReligiousAffiliationCode` - the new value of the 'Religious Affiliation Code' containment reference.
  See Also:
    `POCDMT000040Patient.getReligiousAffiliationCode()`

### getRaceCode

    public CE getRaceCode()

  Specified by:
    `getRaceCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Race Code' containment reference.
  See Also:
    `POCDMT000040Patient.setRaceCode(CE)`, `CDAR2Package.getPOCDMT000040Patient_RaceCode()`

### basicSetRaceCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetRaceCode(CE newRaceCode,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setRaceCode

    public void setRaceCode(CE newRaceCode)

  Specified by:
    `setRaceCode` in interface `POCDMT000040Patient`
  Parameters:
    `newRaceCode` - the new value of the 'Race Code' containment reference.
  See Also:
    `POCDMT000040Patient.getRaceCode()`

### getEthnicGroupCode

    public CE getEthnicGroupCode()

  Specified by:
    `getEthnicGroupCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Ethnic Group Code' containment reference.
  See Also:
    `POCDMT000040Patient.setEthnicGroupCode(CE)`, `CDAR2Package.getPOCDMT000040Patient_EthnicGroupCode()`

### basicSetEthnicGroupCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetEthnicGroupCode(CE newEthnicGroupCode,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setEthnicGroupCode

    public void setEthnicGroupCode(CE newEthnicGroupCode)

  Specified by:
    `setEthnicGroupCode` in interface `POCDMT000040Patient`
  Parameters:
    `newEthnicGroupCode` - the new value of the 'Ethnic Group Code' containment reference.
  See Also:
    `POCDMT000040Patient.getEthnicGroupCode()`

### getGuardian

    public org.eclipse.emf.common.util.EList getGuardian()

  Specified by:
    `getGuardian` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Guardian' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Patient_Guardian()`

### getBirthplace

    public POCDMT000040Birthplace getBirthplace()

  Specified by:
    `getBirthplace` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Birthplace' containment reference.
  See Also:
    `POCDMT000040Patient.setBirthplace(POCDMT000040Birthplace)`, `CDAR2Package.getPOCDMT000040Patient_Birthplace()`

### basicSetBirthplace

    public org.eclipse.emf.common.notify.NotificationChain basicSetBirthplace(POCDMT000040Birthplace newBirthplace,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setBirthplace

    public void setBirthplace(POCDMT000040Birthplace newBirthplace)

  Specified by:
    `setBirthplace` in interface `POCDMT000040Patient`
  Parameters:
    `newBirthplace` - the new value of the 'Birthplace' containment reference.
  See Also:
    `POCDMT000040Patient.getBirthplace()`

### getLanguageCommunication

    public org.eclipse.emf.common.util.EList getLanguageCommunication()

  Specified by:
    `getLanguageCommunication` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Language Communication' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Patient_LanguageCommunication()`

### getClassCode

    public org.eclipse.emf.common.util.Enumerator getClassCode()

  Specified by:
    `getClassCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `POCDMT000040Patient.isSetClassCode()`, `POCDMT000040Patient.unsetClassCode()`, `POCDMT000040Patient.setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Patient_ClassCode()`

### setClassCode

    public void setClassCode(org.eclipse.emf.common.util.Enumerator newClassCode)

  Specified by:
    `setClassCode` in interface `POCDMT000040Patient`
  Parameters:
    `newClassCode` - the new value of the 'Class Code' attribute.
  See Also:
    `POCDMT000040Patient.isSetClassCode()`, `POCDMT000040Patient.unsetClassCode()`, `POCDMT000040Patient.getClassCode()`

### unsetClassCode

    public void unsetClassCode()

  Specified by:
    `unsetClassCode` in interface `POCDMT000040Patient`
  See Also:
    `POCDMT000040Patient.isSetClassCode()`, `POCDMT000040Patient.getClassCode()`, `POCDMT000040Patient.setClassCode(Enumerator)`

### isSetClassCode

    public boolean isSetClassCode()

  Specified by:
    `isSetClassCode` in interface `POCDMT000040Patient`
  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `POCDMT000040Patient.unsetClassCode()`, `POCDMT000040Patient.getClassCode()`, `POCDMT000040Patient.setClassCode(Enumerator)`

### getDeterminerCode

    public org.eclipse.emf.common.util.Enumerator getDeterminerCode()

  Specified by:
    `getDeterminerCode` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Determiner Code' attribute.
  See Also:
    `POCDMT000040Patient.isSetDeterminerCode()`, `POCDMT000040Patient.unsetDeterminerCode()`, `POCDMT000040Patient.setDeterminerCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Patient_DeterminerCode()`

### setDeterminerCode

    public void setDeterminerCode(org.eclipse.emf.common.util.Enumerator newDeterminerCode)

  Specified by:
    `setDeterminerCode` in interface `POCDMT000040Patient`
  Parameters:
    `newDeterminerCode` - the new value of the 'Determiner Code' attribute.
  See Also:
    `POCDMT000040Patient.isSetDeterminerCode()`, `POCDMT000040Patient.unsetDeterminerCode()`, `POCDMT000040Patient.getDeterminerCode()`

### unsetDeterminerCode

    public void unsetDeterminerCode()

  Specified by:
    `unsetDeterminerCode` in interface `POCDMT000040Patient`
  See Also:
    `POCDMT000040Patient.isSetDeterminerCode()`, `POCDMT000040Patient.getDeterminerCode()`, `POCDMT000040Patient.setDeterminerCode(Enumerator)`

### isSetDeterminerCode

    public boolean isSetDeterminerCode()

  Specified by:
    `isSetDeterminerCode` in interface `POCDMT000040Patient`
  Returns:
    whether the value of the 'Determiner Code' attribute is set.
  See Also:
    `POCDMT000040Patient.unsetDeterminerCode()`, `POCDMT000040Patient.getDeterminerCode()`, `POCDMT000040Patient.setDeterminerCode(Enumerator)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040Patient`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Patient.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Patient_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040Patient`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Patient.getNullFlavor()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD